Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity
Class AccessDeniedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.acegisecurity.AcegiSecurityException
                          org.acegisecurity.AccessDeniedException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AuthorizationServiceException

    public class AccessDeniedException

extends AcegiSecurityException

Thrown if an `Authentication` object does not hold a required authority.

Version:
  $Id: AccessDeniedException.java,v 1.3 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`AccessDeniedException(String msg)` Constructs an `AccessDeniedException` with the specified message.
`AccessDeniedException(String msg, Throwable t)` Constructs an `AccessDeniedException` with the specified message and root cause.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getCause, getMessage, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AccessDeniedException

    public AccessDeniedException(String msg)

  Constructs an `AccessDeniedException` with the specified message.

  Parameters:
    `msg` - the detail message

### AccessDeniedException

    public AccessDeniedException(String msg,
                                 Throwable t)

  Constructs an `AccessDeniedException` with the specified message and root cause.

  Parameters:
    `msg` - the detail message
    `t` - root cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.